world
	view = 6

mob
	icon = 'mob.dmi'
	var
		drawmode = 0

	Login()
		..()
		density = 0
		movemode()

	Move()
		. = ..()
		if(.)
			switch(drawmode)
				if(1)
					if(!(locate(/mob/green) in loc))
						new/mob/green(loc)
				if(2)
					var/mob/green/G = (locate() in loc)
					if(G) del(G)
				if(3)
					if(!(locate(/obj/purple) in loc))
						new/obj/purple(loc)
				if(4)
					var/obj/purple/G = (locate() in loc)
					if(G) del(G)

	verb
		movemode()
			drawmode++
			if(drawmode>4) drawmode = 0
			switch(drawmode)
				if(1)
					src << "Drawing greens"
				if(2)
					src << "Erasing greens"
				if(3)
					src << "Drawing purples"
				if(4)
					src << "Erasing purples"
				else
					src << "Normal movement"

area
	icon = 'ground.dmi'

turf
	icon = 'ground.dmi'
	mouse_opacity = 2

	Click()
		new/turf/blue(src)

	blue
		icon = 'blue16.dmi'
		sd_MrgSet = 1

		Click()
			new/turf/yellow(src)

	yellow
		icon = 'yellow256.dmi'
		sd_MrgSet = 3
		sd_EdgeMrg = 1

		Click()
			new/turf(src)

mob
	green
		icon = 'green47.dmi'
		sd_MrgSet = 2

		Click()
			del(src)

		Move(Loc)
			var/list/change = sd_Adjacent()
			. = ..()
			if(.)
				loc = null
				sd_Merge(change)
				loc = Loc
				icon_state = ""
				spawn(7) sd_Merge(sd_Adjacent())

		New()
			..()
			walk_rand(src,30)

		sd_MergeMatch(direction)
			// overide sd_MergeMatch so that it merges with purples or greens
			var/turf/T = get_step(src,direction)
			if(!T)
				return sd_EdgeMrg
			else
				var/atom/movable/M
				for(M in T)
					if((M.type == src.type) || (M.type == /obj/purple))
						return 1


obj
	purple
		icon = 'purple47.dmi'
		sd_MrgSet = 2
		sd_EdgeMrg = 1

		sd_MergeMatch(direction)
			// overide sd_MergeMatch so that it merges with purples or greens
			var/turf/T = get_step(src,direction)
			if(!T)
				return sd_EdgeMrg
			else
				var/atom/movable/M
				for(M in T)
					if((M.type == src.type) || (M.type == /mob/green))
						return 1
